Permalink
Browse files

FL-718: remove mask and fork of totem-pl-parser

  • Loading branch information...
1 parent e74400f commit 6cbf13bac1827c42d01ba98c2e13cfc2401f17b8 @danielrobbins danielrobbins committed Sep 12, 2013
@@ -1,3 +0,0 @@
-DIST totem-pl-parser-2.32.6.tar.xz 1438372 SHA256 8e6ccef547f1ad311474a975032d2482e621550ee3d4d22c725cdc6b496e4874 SHA512 25726fd95815955b5f8b6fc35cc906f9dcd3818a17f0113e8fcc3240b4fadbaabfcfe91d463ef2d69062cd19a9b6a665342a14a88d781ab70929ac40add07ac3 WHIRLPOOL 1e924e1ff461aac1259a3cd10cefe8b11dbf59f8a676004f5023abb5da623bed520c07937ea802f619a9a33f47a47f2014cbd5ed5795befe35abc8e1bc8986e9
-DIST totem-pl-parser-3.4.3.tar.xz 1602000 SHA256 ab8beed4dd5d3a5d7ed5dc8b357e94dc03a8553fef6e33c2e7fb63a76e44c42b SHA512 19ecc0aab4ce486cfbe5bd6390467fb1e14279708aaeb831f8626f7350c8b8deaa59157f95f746cfd4ac8d87a496977f558fce605bed4647f877d05dc0b0ebe6 WHIRLPOOL 7b1e654dc96e07d690309662d039cacd71c6ddc9d4856f4819be33024db02ddbd88a3d87e43ee486716f9c58256cd61a701c99d541d996085c1405dc7df15f40
-DIST totem-pl-parser-3.4.5.tar.xz 1608140 SHA256 a573e078692b48895cb5b041385b2760d63e2ee496c8d499eccfa942e7c79f89 SHA512 55723306d76554d000b9b957008e295d748d100eb3d442e2645f7d2ac9a64929c6ec0c70186e10dddb30f49b03bd1869b3408b96a5d50bfac52131629b726dbc WHIRLPOOL e009cc339803ba87128f5950e59f0d754a3b58d8a0cb7c18e151d289a760bad346d64e9eb1f8ebc58d2e7162bf9913291b80de0e8ae6f638b25815cba214e7f3
@@ -1,32 +0,0 @@
-From 3736e5234e04cea4dc722247a148b37c6e1884c2 Mon Sep 17 00:00:00 2001
-From: Pacho Ramos <pachoramos@gmail.com>
-Date: Sat, 27 Oct 2012 10:38:38 +0000
-Subject: build: Use gmime-2.6
-
-Force using gmime-2.6 usage to prevent automagic dependencies
-now that older versions are deprecated.
-
-https://bugzilla.gnome.org/show_bug.cgi?id=686975
----
-diff --git a/configure.in b/configure.in
-index ba40b2e..ea539d2 100644
---- a/configure.in
-+++ b/configure.in
-@@ -75,15 +75,9 @@ AC_ARG_ENABLE(gmime-i-know-what-im-doing,
-
- if test "x$enable_gmime" = "xyes" ; then
- PKG_CHECK_MODULES(GMIME,
-- gmime-2.4,
-- [have_gmime=yes GMIME=gmime-2.4],
-- [have_gmime=no])
-- if test "x$have_gmime" != "xyes" ; then
-- PKG_CHECK_MODULES(GMIME,
- gmime-2.6,
- [have_gmime=yes GMIME=gmime-2.6],
- [have_gmime=no])
-- fi
-
- if test "x$have_gmime" = "xyes" ; then
- AC_SUBST(GMIME, $GMIME)
---
-cgit v0.9.0.2
@@ -1,29 +0,0 @@
-Use "media" interface instead of "video" (deprecated in libquvi-0.2.15,
-removed in 0.2.20). Fixes compatibility with libquvi-0.4.
-
-See https://bugs.gentoo.org/show_bug.cgi?id=386651,
-https://bugzilla.gnome.org/show_bug.cgi?id=661451
-
---- a/plparse/totem-pl-parser-videosite.c
-+++ b/plparse/totem-pl-parser-videosite.c
-@@ -75,7 +75,7 @@
- #ifdef HAVE_QUVI
- QUVIcode rc;
- quvi_t handle;
-- quvi_video_t v;
-+ quvi_media_t v;
- char *uri;
- /* properties */
- const char *video_uri;
-@@ -104,8 +104,8 @@
- return TOTEM_PL_PARSER_RESULT_ERROR;
- }
-
-- getprop (QUVIPROP_VIDEOURL, video_uri);
-- if (quvi_getprop (v, QUVIPROP_VIDEOFILELENGTH, &length) == QUVI_OK)
-+ getprop (QUVIPROP_MEDIAURL, video_uri);
-+ if (quvi_getprop (v, QUVIPROP_MEDIACONTENTLENGTH, &length) == QUVI_OK)
- length_str = g_strdup_printf ("%f", length);
- else
- length_str = NULL;
-
@@ -1,13 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
-<pkgmetadata>
-<herd>gnome</herd>
-<use>
- <flag name='archive'>Enables support for accessing media files in archives
- transparently via <pkg>app-arch/libarchive</pkg></flag>
- <flag name="introspection">Use <pkg>dev-libs/gobject-introspection</pkg> for
- introspection</flag>
- <flag name="quvi">Use <pkg>media-libs/quvi</pkg> for parsing video
- links</flag>
-</use>
-</pkgmetadata>
@@ -1,63 +0,0 @@
-# Copyright 1999-2013 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-libs/totem-pl-parser/totem-pl-parser-2.32.6-r3.ebuild,v 1.9 2013/04/01 18:24:12 ago Exp $
-
-EAPI="4"
-GCONF_DEBUG="no"
-GNOME2_LA_PUNT="yes"
-
-inherit autotools eutils gnome2
-
-DESCRIPTION="Playlist parsing library"
-HOMEPAGE="http://projects.gnome.org/totem/ http://developer.gnome.org/totem-pl-parser/stable/"
-
-LICENSE="LGPL-2+"
-SLOT="0"
-KEYWORDS="alpha amd64 arm ia64 ~ppc ~ppc64 sparc x86 ~x86-fbsd"
-IUSE="archive +introspection +quvi"
-
-RDEPEND=">=dev-libs/glib-2.24:2
- dev-libs/gmime:2.6
- >=net-libs/libsoup-gnome-2.30:2.4
- archive? ( >=app-arch/libarchive-2.8.4 )
- introspection? ( >=dev-libs/gobject-introspection-0.9.5 )
- quvi? ( >=media-libs/libquvi-0.2.15 )"
-DEPEND="${RDEPEND}
- !<media-video/totem-2.21
- dev-libs/gobject-introspection-common
- >=dev-util/intltool-0.35
- dev-util/gtk-doc-am
- gnome-base/gnome-common
- >=sys-devel/gettext-0.17
- virtual/pkgconfig"
-# eautoreconf needs:
-# dev-libs/gobject-introspection-common
-# gnome-base/gnome-common
-
-src_prepare() {
- G2CONF="${G2CONF}
- --disable-static
- $(use_enable archive libarchive)
- $(use_enable quvi)
- $(use_enable introspection)"
- DOCS="AUTHORS ChangeLog NEWS"
-
- # bug #386651, https://bugzilla.gnome.org/show_bug.cgi?id=661451
- epatch "${FILESDIR}/${PN}-2.32.6-quvi-0.4.patch"
-
- # build: Use gmime-2.6 (fixed in 'master' (> 3.4.3))
- epatch "${FILESDIR}/${PN}-2.32.6-gmime26.patch"
-
- # Disable tests requiring network access, bug #346127
- sed -e 's:\(g_test_add_func.*/parser/resolution.*\):/*\1*/:' \
- -e 's:\(g_test_add_func.*/parser/parsing/itms_link.*\):/*\1*/:' \
- -i plparse/tests/parser.c || die "sed failed"
-
- eautoreconf
- gnome2_src_prepare
-}
-
-src_test() {
- # This is required as told by upstream in bgo#629542
- dbus-launch emake check || die "emake check failed"
-}
@@ -1,68 +0,0 @@
-# Copyright 1999-2012 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-libs/totem-pl-parser/totem-pl-parser-2.32.6.ebuild,v 1.9 2012/11/07 21:43:33 tetromino Exp $
-
-EAPI="4"
-GCONF_DEBUG="no"
-GNOME2_LA_PUNT="yes"
-
-inherit gnome2
-
-DESCRIPTION="Playlist parsing library"
-HOMEPAGE="http://projects.gnome.org/totem/ http://developer.gnome.org/totem-pl-parser/stable/"
-
-# eautoreconf needs:
-#SRC_URI="${SRC_URI} mirror://gentoo/introspection-20110205.m4.tar.bz2"
-
-LICENSE="LGPL-2+"
-SLOT="0"
-KEYWORDS="ppc ppc64"
-IUSE="archive doc +introspection +quvi"
-
-RDEPEND=">=dev-libs/glib-2.24:2
- dev-libs/gmime:2.4
- >=net-libs/libsoup-gnome-2.30:2.4
- archive? ( >=app-arch/libarchive-2.8.4 )
- introspection? ( >=dev-libs/gobject-introspection-0.9.5 )
- quvi? ( >=media-libs/quvi-0.2.15 )"
-DEPEND="${RDEPEND}
- !<media-video/totem-2.21
- >=sys-devel/gettext-0.17
- >=dev-util/intltool-0.35
- doc? ( >=dev-util/gtk-doc-1.11 )"
-# eautoreconf needs:
-# >=dev-util/gtk-doc-am-1.11
-
-pkg_setup() {
- G2CONF="${G2CONF}
- --disable-static
- --disable-maintainer-mode
- $(use_enable archive libarchive)
- $(use_enable quvi)
- $(use_enable introspection)"
- DOCS="AUTHORS ChangeLog NEWS"
-}
-
-# eautoreconf needs:
-#src_unpack() {
-# # If gobject-introspection is installed, we don't need the extra .m4
-# if has_version "dev-libs/gobject-introspection"; then
-# unpack ${P}.tar.bz2
-# else
-# unpack ${A}
-# fi
-#}
-
-src_prepare() {
- gnome2_src_prepare
-
- # Disable tests requiring network access, bug #346127
- sed -e 's:\(g_test_add_func.*/parser/resolution.*\):/*\1*/:' \
- -e 's:\(g_test_add_func.*/parser/parsing/itms_link.*\):/*\1*/:' \
- -i plparse/tests/parser.c || die "sed failed"
-}
-
-src_test() {
- # This is required as told by upstream in bgo#629542
- dbus-launch emake check || die "emake check failed"
-}
@@ -1,68 +0,0 @@
-# Copyright 1999-2012 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-libs/totem-pl-parser/Attic/totem-pl-parser-3.4.3-r1.ebuild,v 1.4 2013/08/30 22:43:01 eva dead $
-
-EAPI="4"
-GCONF_DEBUG="no"
-GNOME2_LA_PUNT="yes"
-
-inherit autotools eutils gnome2
-
-DESCRIPTION="Playlist parsing library"
-HOMEPAGE="http://projects.gnome.org/totem/ http://developer.gnome.org/totem-pl-parser/stable/"
-
-LICENSE="LGPL-2+"
-SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
-IUSE="archive crypt +introspection +quvi test"
-
-RDEPEND=">=dev-libs/glib-2.31:2
- dev-libs/gmime:2.6
- >=net-libs/libsoup-gnome-2.30:2.4
- archive? ( >=app-arch/libarchive-2.8.4 )
- crypt? ( dev-libs/libgcrypt )
- introspection? ( >=dev-libs/gobject-introspection-0.9.5 )
- quvi? ( >=media-libs/libquvi-0.2.15 )"
-DEPEND="${RDEPEND}
- !<media-video/totem-2.21
- dev-libs/gobject-introspection-common
- >=dev-util/intltool-0.35
- dev-util/gtk-doc-am
- >=gnome-base/gnome-common-3.6
- >=sys-devel/gettext-0.17
- virtual/pkgconfig
- test? (
- gnome-base/gvfs[http]
- sys-apps/dbus )"
-# eautoreconf needs:
-# dev-libs/gobject-introspection-common
-# >=gnome-base/gnome-common-3.6
-
-src_prepare() {
- G2CONF="${G2CONF}
- --disable-static
- $(use_enable archive libarchive)
- $(use_enable crypt libgcrypt)
- $(use_enable quvi)
- $(use_enable introspection)"
- DOCS="AUTHORS ChangeLog NEWS"
-
- # Avoid glib-2.34 dependency for now, bug #435408
- epatch "${FILESDIR}/${P}-no-g_clear_pointer.patch"
-
- # build: Use gmime-2.6 (fixed in 'master' (> 3.4.3))
- epatch "${FILESDIR}/${PN}-2.32.6-gmime26.patch"
-
- # Disable tests requiring network access, bug #346127
- sed -e 's:\(g_test_add_func.*/parser/resolution.*\):/*\1*/:' \
- -e 's:\(g_test_add_func.*/parser/parsing/itms_link.*\):/*\1*/:' \
- -i plparse/tests/parser.c || die "sed failed"
-
- eautoreconf
- gnome2_src_prepare
-}
-
-src_test() {
- # This is required as told by upstream in bgo#629542
- GVFS_DISABLE_FUSE=1 dbus-launch emake check || die "emake check failed"
-}
@@ -1,64 +0,0 @@
-# Copyright 1999-2013 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-libs/totem-pl-parser/totem-pl-parser-3.4.5.ebuild,v 1.2 2013/08/30 22:43:01 eva Exp $
-
-EAPI="5"
-GCONF_DEBUG="no"
-
-inherit gnome2
-
-DESCRIPTION="Playlist parsing library"
-HOMEPAGE="http://projects.gnome.org/totem/ http://developer.gnome.org/totem-pl-parser/stable/"
-
-LICENSE="LGPL-2+"
-SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
-IUSE="archive crypt +introspection +quvi test"
-
-RDEPEND="
- >=dev-libs/glib-2.31:2
- dev-libs/gmime:2.6
- >=net-libs/libsoup-gnome-2.30:2.4
- archive? ( >=app-arch/libarchive-2.8.4 )
- crypt? ( dev-libs/libgcrypt )
- introspection? ( >=dev-libs/gobject-introspection-0.9.5 )
- quvi? ( >=media-libs/libquvi-0.2.15 )
-"
-DEPEND="${RDEPEND}
- !<media-video/totem-2.21
- dev-libs/gobject-introspection-common
- >=dev-util/intltool-0.35
- dev-util/gtk-doc-am
- >=gnome-base/gnome-common-3.6
- >=sys-devel/gettext-0.17
- virtual/pkgconfig
- test? (
- gnome-base/gvfs[http]
- sys-apps/dbus )
-"
-# eautoreconf needs:
-# dev-libs/gobject-introspection-common
-# >=gnome-base/gnome-common-3.6
-
-src_prepare() {
- # Disable tests requiring network access, bug #346127
- sed -e 's:\(g_test_add_func.*/parser/resolution.*\):/*\1*/:' \
- -e 's:\(g_test_add_func.*/parser/parsing/itms_link.*\):/*\1*/:' \
- -i plparse/tests/parser.c || die "sed failed"
-
- gnome2_src_prepare
-}
-
-src_configure() {
- gnome2_src_configure \
- --disable-static \
- $(use_enable archive libarchive) \
- $(use_enable crypt libgcrypt) \
- $(use_enable quvi) \
- $(use_enable introspection)
-}
-
-src_test() {
- # This is required as told by upstream in bgo#629542
- GVFS_DISABLE_FUSE=1 dbus-launch emake check || die "emake check failed"
-}
@@ -23,7 +23,6 @@
>=dev-libs/libgweather-3.8
>=dev-libs/libgdata-0.13.4
>=dev-libs/libwacom-0.7
->=dev-libs/totem-pl-parser-3.4.4
>=dev-python/pyatspi-2.8
>=dev-python/pygobject-3.8
>=dev-util/anjuta-3.8

0 comments on commit 6cbf13b

Please sign in to comment.